Proactive

API / V1

Knowledge Vault

25 endpoints in this section.

GET/api/v1/knowledge-vault/resources

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
pagenumberNo

Page number for paginated results.

-
pageSizenumberNo

Number of items returned per page.

-
searchstringNo

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

-
tagsstringNo

Input value for this endpoint.

-
typestringNo

Domain category/type of the item.

LINK, VIDEO, NOTE, DOCUMENTATION (repeatable)
sortFieldstringNo

Field used to sort results.

title, type, createdAt, updatedAt
sortDirectionstringNo

Sort order direction.

asc, desc

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

POST/api/v1/knowledge-vault/resources

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
titlestringYes

Main title of the resource.

-
typestringYes

Domain category/type of the item.

LINK, VIDEO, NOTE, DOCUMENTATION
urlstringNo

Required unless type is NOTE.

-
notesstringNo

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

string, null
publicAccessbooleanNo

Input value for this endpoint.

-
tagsstringNo

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/resources/{resourceId}

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
resourceIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

PATCH/api/v1/knowledge-vault/resources/{resourceId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
resourceIdstringYes

Input value for this endpoint.

-
titlestringNo

Main title of the resource.

-
typestringNo

Domain category/type of the item.

LINK, VIDEO, NOTE, DOCUMENTATION
urlstringNo

Input value for this endpoint.

-
notesstringNo

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

string, null
publicAccessbooleanNo

Input value for this endpoint.

-
tagsstringNo

Input value for this endpoint.

-

Security Warning:

At least one field must be provided.

Sending tags replaces the whole tag list.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

DELETE/api/v1/knowledge-vault/resources/{resourceId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
resourceIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/categories

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
pagenumberNo

Page number for paginated results.

-
pageSizenumberNo

Number of items returned per page.

-
searchstringNo

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

POST/api/v1/knowledge-vault/categories

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
namestringYes

Human-readable name.

-
colorstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/categories/{categoryId}

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
categoryIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

PATCH/api/v1/knowledge-vault/categories/{categoryId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
categoryIdstringYes

Input value for this endpoint.

-
namestringNo

Human-readable name.

-
colorstringNo

Input value for this endpoint.

-

Security Warning:

At least one field must be provided.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

DELETE/api/v1/knowledge-vault/categories/{categoryId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
categoryIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/commands

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
pagenumberNo

Page number for paginated results.

-
pageSizenumberNo

Number of items returned per page.

-
searchstringNo

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

-
tagsstringNo

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

POST/api/v1/knowledge-vault/commands

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
titlestringYes

Main title of the resource.

-
commandstringYes

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

string, null
tagsstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/commands/{commandId}

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
commandIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

PATCH/api/v1/knowledge-vault/commands/{commandId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
commandIdstringYes

Input value for this endpoint.

-
titlestringNo

Main title of the resource.

-
commandstringNo

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

string, null
tagsstringNo

Input value for this endpoint.

-

Security Warning:

At least one field must be provided.

Sending tags replaces the whole tag list.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

DELETE/api/v1/knowledge-vault/commands/{commandId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
commandIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/runbooks

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
pagenumberNo

Page number for paginated results.

-
pageSizenumberNo

Number of items returned per page.

-
searchstringNo

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

-
tagsstringNo

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

POST/api/v1/knowledge-vault/runbooks

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
titlestringYes

Main title of the resource.

-
categoryIdstringNo

Input value for this endpoint.

string, null
tagsstringYes

Input value for this endpoint.

-
stepsnumberYes

At least one step is required.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/runbooks/{runbookId}

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
runbookIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

PATCH/api/v1/knowledge-vault/runbooks/{runbookId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
runbookIdstringYes

Input value for this endpoint.

-
titlestringNo

Main title of the resource.

-
categoryIdstringNo

Input value for this endpoint.

string, null
tagsstringNo

Input value for this endpoint.

-
stepsnumberNo

Input value for this endpoint.

-

Security Warning:

At least one field must be provided.

Sending tags or steps replaces the whole list.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

DELETE/api/v1/knowledge-vault/runbooks/{runbookId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
runbookIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/prompts

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
pagenumberNo

Page number for paginated results.

-
pageSizenumberNo

Number of items returned per page.

-
searchstringNo

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

-
tagsstringNo

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

POST/api/v1/knowledge-vault/prompts

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
titlestringYes

Main title of the resource.

-
promptstringYes

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

string, null
tagsstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/knowledge-vault/prompts/{promptId}

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
promptIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

PATCH/api/v1/knowledge-vault/prompts/{promptId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
promptIdstringYes

Input value for this endpoint.

-
titlestringNo

Main title of the resource.

-
promptstringNo

Input value for this endpoint.

-
categoryIdstringNo

Input value for this endpoint.

string, null
tagsstringNo

Input value for this endpoint.

-

Security Warning:

At least one field must be provided.

Sending tags replaces the whole tag list.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

DELETE/api/v1/knowledge-vault/prompts/{promptId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
promptIdstringYes

Input value for this endpoint.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.